kafka-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From pushkar priyadarshi <priyadarshi.push...@gmail.com>
Subject Re: Which version works for kafka 0.8.2 as consumer?
Date Wed, 01 Apr 2015 16:59:33 GMT
So in 0.8.2.0/0.8.2.1 high level consumer can not make use of offset
syncing in kafka?

On Wed, Apr 1, 2015 at 12:51 PM, Jiangjie Qin <jqin@linkedin.com.invalid>
wrote:

> Yes, KafkaConsumer in 0.8.2 is still in development. You probably still
> want to use ZookeeperConsumerConnector for now.
>
> On 4/1/15, 9:28 AM, "Mark Zang" <deepnighttwo@gmail.com> wrote:
>
> >I found the 0.8.2.0 and 0.8.2.1 has a KafkaConsumer. But this class seems
> >not completed and not functional. Lots of method returns null or throws
> >NSM. Which version of consumer for kafka 0.8.2 broker?
> >
> >Thanks!
> >
> >--
> >Best regards!
> >Mike Zang
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message